{ config, pkgs, ... }:

{
  imports =
    [
      ../../base.nix
      ../../common/metrics-exporters.nix
      ./filesystems.nix
      ./hardware-configuration.nix

      # Infrastructure
      # ./backup.nix
      ./libvirt.nix
      ./services/dyndns.nix
      ./services/nginx.nix
      ./services/pihole.nix
      ./services/postgresql.nix
      ./services/wireguard.nix

      # Services
      # ./services/flame.nix
      ./services/gitea.nix
      ./services/hedgedoc.nix
      ./services/home-assistant.nix
      ./services/keycloak.nix
      # ./services/koillection.nix
      ./services/matrix
      ./services/microbin.nix
      ./services/minecraft/home.nix
      ./services/monitoring
      # ./services/rtl-tcp.nix
      ./services/searx.nix
      ./services/vaultwarden.nix
  ];

  networking = {
    hostName = "defiant";
    defaultGateway = "192.168.10.1";
    interfaces.enp3s0.ipv4 = {
      addresses = [
        { address = "192.168.10.175"; prefixLength = 24; } # Main IP for defiant, internal
      ];
    };
    hostId = "8e84f235";
  };

  sops.defaultSopsFile = ../../secrets/defiant/defiant.yaml;

  environment.variables = { EDITOR = "vim"; };

  virtualisation.docker.enable = true;
  virtualisation.oci-containers.backend = "docker";

  system.stateVersion = "23.11";
}

